# Class FaceLandmarkNet

#### Hierarchy

- FaceLandmark68Net
  - FaceLandmarkNet

- Defined in faceLandmarkNet/index.ts:5

#####
Index

### Constructors

constructor

### Properties

_name

### Accessors

faceFeatureExtractor
isLoaded
paramMappings
params

### Methods

detectLandmarks
dispose
extractClassifierParams
extractWeights
forward
forwardInput
freeze
getFrozenParams
getParamFromPath
getParamList
getTrainableParams
load
loadClassifierParams
loadFromDisk
loadFromUri
loadFromWeightMap
postProcess
reassignParamFromPath
runNet
serializeParams
variable

## Constructors

### constructor

- new FaceLandmarkNet(faceFeatureExtractor?: FaceFeatureExtractor): FaceLandmarkNet

- #### Parameters

  - ##### faceFeatureExtractor: FaceFeatureExtractor = ...

  #### Returns FaceLandmarkNet

  Inherited from FaceLandmark68Net.constructor

  - Defined in faceLandmarkNet/FaceLandmark68Net.ts:6

## Properties

### _name

_name: any

Inherited from FaceLandmark68Net._name

- Defined in NeuralNetwork.ts:17

## Accessors

### faceFeatureExtractor

- get faceFeatureExtractor(): IFaceFeatureExtractor<TExtractorParams>

- #### Returns IFaceFeatureExtractor<TExtractorParams>

  Inherited from FaceLandmark68Net.faceFeatureExtractor

  - Defined in faceProcessor/FaceProcessor.ts:23

### isLoaded

- get isLoaded(): boolean

- #### Returns boolean

  Inherited from FaceLandmark68Net.isLoaded

  - Defined in NeuralNetwork.ts:23

### paramMappings

- get paramMappings(): ParamMapping[]

- #### Returns ParamMapping[]

  Inherited from FaceLandmark68Net.paramMappings

  - Defined in NeuralNetwork.ts:21

### params

- get params(): undefined | TNetParams

- #### Returns undefined | TNetParams

  Inherited from FaceLandmark68Net.params

  - Defined in NeuralNetwork.ts:19

## Methods

### detectLandmarks

- detectLandmarks(input: any): Promise<FaceLandmarks68 | FaceLandmarks68[]>

- #### Parameters

  - ##### input: any

  #### Returns Promise<FaceLandmarks68 | FaceLandmarks68[]>

  Inherited from FaceLandmark68Net.detectLandmarks

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:67

### dispose

- dispose(throwOnRedispose?: boolean): void

- #### Parameters

  - ##### throwOnRedispose: boolean = true

  #### Returns void

  Inherited from FaceLandmark68Net.dispose

  - Defined in faceProcessor/FaceProcessor.ts:48

### extractClassifierParams

- extractClassifierParams(weights: Float32Array): { paramMappings: ParamMapping[]; params: NetParams }

- #### Parameters

  - ##### weights: Float32Array

  #### Returns { paramMappings: ParamMapping[]; params: NetParams }

  - ##### paramMappings: ParamMapping[]

  - ##### params: NetParams

  Inherited from FaceLandmark68Net.extractClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:59

### extractWeights

- extractWeights(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from FaceLandmark68Net.extractWeights

  - Defined in NeuralNetwork.ts:118

### forward

- forward(input: any): Promise<Tensor2D>

- #### Parameters

  - ##### input: any

  #### Returns Promise<Tensor2D>

  Inherited from FaceLandmark68Net.forward

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:63

### forwardInput

- forwardInput(input: NetInput): Tensor2D

- #### Parameters

  - ##### input: NetInput

  #### Returns Tensor2D

  Inherited from FaceLandmark68Net.forwardInput

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:52

### freeze

- freeze(): void

- #### Returns void

  Inherited from FaceLandmark68Net.freeze

  - Defined in NeuralNetwork.ts:57

### getFrozenParams

- getFrozenParams(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from FaceLandmark68Net.getFrozenParams

  - Defined in NeuralNetwork.ts:47

### getParamFromPath

- getParamFromPath(paramPath: string): Tensor

- #### Parameters

  - ##### paramPath: string

  #### Returns Tensor

  Inherited from FaceLandmark68Net.getParamFromPath

  - Defined in NeuralNetwork.ts:25

### getParamList

- getParamList(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from FaceLandmark68Net.getParamList

  - Defined in NeuralNetwork.ts:36

### getTrainableParams

- getTrainableParams(): { path: string; tensor: Tensor }[]

- #### Returns { path: string; tensor: Tensor }[]

  Inherited from FaceLandmark68Net.getTrainableParams

  - Defined in NeuralNetwork.ts:43

### load

- load(weightsOrUrl: undefined | string | Float32Array): Promise<void>

- #### Parameters

  - ##### weightsOrUrl: undefined | string | Float32Array

  #### Returns Promise<void>

  Inherited from FaceLandmark68Net.load

  - Defined in NeuralNetwork.ts:83

### loadClassifierParams

- loadClassifierParams(weights: Float32Array): void

- #### Parameters

  - ##### weights: Float32Array

  #### Returns void

  Inherited from FaceLandmark68Net.loadClassifierParams

  - Defined in faceProcessor/FaceProcessor.ts:53

### loadFromDisk

- loadFromDisk(filePath: undefined | string): Promise<void>

- #### Parameters

  - ##### filePath: undefined | string

  #### Returns Promise<void>

  Inherited from FaceLandmark68Net.loadFromDisk

  - Defined in NeuralNetwork.ts:99

### loadFromUri

- loadFromUri(uri: undefined | string): Promise<void>

- #### Parameters

  - ##### uri: undefined | string

  #### Returns Promise<void>

  Inherited from FaceLandmark68Net.loadFromUri

  - Defined in NeuralNetwork.ts:91

### loadFromWeightMap

- loadFromWeightMap(weightMap: NamedTensorMap): void

- #### Parameters

  - ##### weightMap: NamedTensorMap

  #### Returns void

  Inherited from FaceLandmark68Net.loadFromWeightMap

  - Defined in NeuralNetwork.ts:112

### postProcess

- postProcess(output: Tensor2D, inputSize: number, originalDimensions: IDimensions[]): Tensor2D

- #### Parameters

  - ##### output: Tensor2D

  - ##### inputSize: number

  - ##### originalDimensions: IDimensions[]

  #### Returns Tensor2D

  Inherited from FaceLandmark68Net.postProcess

  - Defined in faceLandmarkNet/FaceLandmark68NetBase.ts:14

### reassignParamFromPath

- reassignParamFromPath(paramPath: string, tensor: Tensor): void

- #### Parameters

  - ##### paramPath: string

  - ##### tensor: Tensor

  #### Returns void

  Inherited from FaceLandmark68Net.reassignParamFromPath

  - Defined in NeuralNetwork.ts:30

### runNet

- runNet(input: any): Tensor2D

- #### Parameters

  - ##### input: any

  #### Returns Tensor2D

  Inherited from FaceLandmark68Net.runNet

  - Defined in faceProcessor/FaceProcessor.ts:33

### serializeParams

- serializeParams(): Float32Array

- #### Returns Float32Array

  Inherited from FaceLandmark68Net.serializeParams

  - Defined in NeuralNetwork.ts:75

### variable

- variable(): void

- #### Returns void

  Inherited from FaceLandmark68Net.variable

  - Defined in NeuralNetwork.ts:51